<?php

$new_meta_boxes =

array(

"image" => array(

"name" => "image",

"std" => "",

"title" => "Картинка на главной",

"description" => "Используя кнопку \"<em>Добавить изображение</em>\", загрузите картинку 350x250 и вставьте путь к ней здесь. Отображается на главной."),

"pimage" => array(

"name" => "pimage",

"std" => "",

"title" => "Картинка одиночной записи",

"description" => "Используя кнопку \"<em>Добавить изображение</em>\", загрузите картинку 530x200 и вставьте путь к ней здесь. Отображается на страницах отдельных записей, и уменьшенная версия для новых статей на главной странице сайта.")

);

function new_meta_boxes() {

global $post, $new_meta_boxes;



foreach($new_meta_boxes as $meta_box) {

$meta_box_value = get_post_meta($post->ID, $meta_box['name'].'_value', true);



if($meta_box_value == "")

$meta_box_value = $meta_box['std'];



echo'<input type="hidden" name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';



echo'<h2>'.$meta_box['title'].'</h2>';



echo'<input type="text" name="'.$meta_box['name'].'_value" value="'.$meta_box_value.'" size="55" /><br />';



echo'<p><label for="'.$meta_box['name'].'_value">'.$meta_box['description'].'</label></p>';

}

}

function create_meta_box() {

global $theme_name;

if ( function_exists('add_meta_box') ) {

add_meta_box( 'new-meta-boxes', 'Настройки публикаций Jungleland', 'new_meta_boxes', 'post', 'normal', 'high' );

}

}

function save_postdata( $post_id ) {

global $post, $new_meta_boxes;



foreach($new_meta_boxes as $meta_box) {

// Verify

if ( !wp_verify_nonce( $_POST[$meta_box['name'].'_noncename'], plugin_basename(__FILE__) )) {

return $post_id;

}



if ( 'page' == $_POST['post_type'] ) {

if ( !current_user_can( 'edit_page', $post_id ))

return $post_id;

} else {

if ( !current_user_can( 'edit_post', $post_id ))

return $post_id;

}



$data = $_POST[$meta_box['name'].'_value'];



if(get_post_meta($post_id, $meta_box['name'].'_value') == "")

add_post_meta($post_id, $meta_box['name'].'_value', $data, true);

elseif($data != get_post_meta($post_id, $meta_box['name'].'_value', true))

update_post_meta($post_id, $meta_box['name'].'_value', $data);

elseif($data == "")

delete_post_meta($post_id, $meta_box['name'].'_value', get_post_meta($post_id, $meta_box['name'].'_value', true));

}

}

add_action('admin_menu', 'create_meta_box');

add_action('save_post', 'save_postdata');

function jungleland_comments($comment, $args, $depth) {

   $GLOBALS['comment'] = $comment; ?>

   	<li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">



<div class="comment-info">			

<?php echo get_avatar( $comment, 40 ); ?>				

								<cite>										

<?php comment_author_link() ?> пишет: <br />				

<span class="comment-data"><a href="#comment-<?php comment_ID() ?>" title=""><?php comment_date('d M Y'); ?> в <?php comment_time('G:i'); ?></a><?php edit_comment_link('Править',' | ',''); ?></span>

								</cite>	

							</div>							

							

							<div class="comment-text">

				<?php if ($comment->comment_approved == '0') : ?>

					<p><em>Спасибо! Ваш комментарий ожидает проверки.</em></p>

				<?php endif; ?>



				<?php comment_text() ?>



								

								<div class="reply">

		<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>

		 						</div>								

							</div>

<?php

        }

if (version_compare($wp_version, '2.8', '>=')) {

    class My_RSS_Widget extends WP_Widget {

	function My_RSS_Widget() {

		$widget_ops = array('classname' => 'widget_rss_links', 'description' => 'Список с вашими ссылками на RSS-подписку' );

		$this->WP_Widget('rss_links', 'Подписка', $widget_ops);

	}

 

	function widget($args, $instance) {

		extract($args, EXTR_SKIP);

 

		echo $before_widget;

		$title = empty($instance['title']) ? '&nbsp;' : apply_filters('widget_title', $instance['title']);

		$rss_follow = empty($instance['rss_follow']) ? '&nbsp;' : apply_filters('widget_rss_follow', $instance['rss_follow']);

		$email_follow = empty($instance['email_follow']) ? '&nbsp;' : apply_filters('widget_email_follow', $instance['email_follow']);

		$twitter_follow = empty($instance['twitter_follow']) ? '&nbsp;' : apply_filters('widget_email_follow', $instance['twitter_follow']);

 

		if ( !empty( $title ) ) { echo $before_title . $title . $after_title; };

		echo '<ul id="rss">';

		echo '  <li><a href=" ' .$rss_follow . '" rel="nofollow" class="rssfeed">RSS-лента</a></li>';

		echo '  <li><a href=" ' .$email_follow . '" rel="nofollow" class="email">E-mail</a></li>';

		echo '  <li><a href=" ' .$twitter_follow . '" rel="nofollow" class="twitter">Twitter</a></li>';

		echo '</ul>';

		echo $after_widget;

	}

 

	function update($new_instance, $old_instance) {

		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);

		$instance['rss_follow'] = strip_tags($new_instance['rss_follow']);

		$instance['email_follow'] = strip_tags($new_instance['email_follow']);

		$instance['twitter_follow'] = strip_tags($new_instance['twitter_follow']);

 

		return $instance;

	}

 

	function form($instance) {

		$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'rss_follow' => '', 'email_follow' => '' ) );

		$title = strip_tags($instance['title']);

		$rss_follow = strip_tags($instance['rss_follow']);

		$email_follow = strip_tags($instance['email_follow']);

		$twitter_follow = strip_tags($instance['twitter_follow']);

?>

			<p><label for="<?php echo $this->get_field_id('title'); ?>">Заголовок: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" /></label></p>

			<p><label for="<?php echo $this->get_field_id('rss_follow'); ?>">Адрес RSS-ленты: <input class="widefat" id="<?php echo $this->get_field_id('rss_follow'); ?>" name="<?php echo $this->get_field_name('rss_follow'); ?>" type="text" value="<?php echo attribute_escape($rss_follow); ?>" /></label></p>

			<p><label for="<?php echo $this->get_field_id('email_follow'); ?>">Адрес E-mail подписки: <input class="widefat" id="<?php echo $this->get_field_id('email_follow'); ?>" name="<?php echo $this->get_field_name('email_follow'); ?>" type="text" value="<?php echo attribute_escape($email_follow); ?>" /></label></p>

			<p><label for="<?php echo $this->get_field_id('twitter_follow'); ?>">Адрес Twitter: <input class="widefat" id="<?php echo $this->get_field_id('twitter_follow'); ?>" name="<?php echo $this->get_field_name('twitter_follow'); ?>" type="text" value="<?php echo attribute_escape($twitter_follow); ?>" /></label></p>

<?php

	}

    }

    register_widget('My_RSS_Widget');

}

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => 'Sidebar',

        'before_widget' => '<div class="sidemenu">',

        'after_widget' => '</div>',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => 'Footer One',

        'before_widget' => '<div class="footer-list">',

        'after_widget' => '</div>',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => 'Footer Two',

        'before_widget' => '<div class="footer-list">',

        'after_widget' => '</div>',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => 'Footer Three',

        'before_widget' => '<div class="footer-list">',

        'after_widget' => '</div>',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => 'Footer Four',

        'before_widget' => '<div class="footer-list">',

        'after_widget' => '</div>',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

if ( function_exists('register_sidebar') )

    register_sidebar(array(

        'name' => '404',

        'before_widget' => '',

        'after_widget' => '',

        'before_title' => '<h3>',

        'after_title' => '</h3>',

    ));

?>
<?php

error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');



?>